<?php
if ( function_exists('add_theme_support') ) {
add_theme_support('post-thumbnails');
}
register_nav_menu('headermenu','لینک های هدر');
function get_cover($size) { // thumbnail - medium - medium_large - full
	$final = '';
	if ( has_post_thumbnail() ) {
		$final = get_the_post_thumbnail_url($post->ID,$size);
		return $final;
	}
	else {
		$get_content_img = get_content_post_image();	
		$theme_url = get_template_directory_uri();
		if ( $size == 'thumbnail' ) {
			$final = $theme_url.'/timthumb.php?src='.$get_content_img.'&amp;h=150&amp;w=150';
		}
		else if ( $size == 'medium' ) {
			$final = $theme_url.'/timthumb.php?src='.$get_content_img.'&amp;h=190&amp;w=190&amp;zc=0';
		}
		else if ( $size == 'medium_large' ) {
			$final = $theme_url.'/timthumb.php?src='.$get_content_img.'&amp;h=600&amp;w=600';
		}
		else if ( $size == 'full' ) {
			$final = $get_content_img;
		}
		return $final;
	}
}
function get_content_post_image() {
	global $post;
	$first_img = '';
	ob_start();
	ob_end_clean();
	if ( get_post_meta($post->ID, 'cover', true) ) {
		$first_img = get_post_meta($post->ID, 'cover', true);
	}
	else {
		$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i',$post->post_content,$matches);
		$first_img = $matches [1][0];
		if (empty($first_img)) {
			$first_img = get_template_directory_uri()."/images/nothumb.png";
		}
	}
	return $first_img;
}
//pagenavi
include (get_template_directory() . '/inc/pagenavi.php');
function wintheme_pagenavi( $query = false, $num = false ){
?>
<div class="pagination">
<?php wintheme_get_pagenavi( $query, $num ) ?>
</div>
<?php
}
function add_custom_meta_box() {
add_meta_box(
'custom_meta_box', 
'زمینه های دلخواه !', 
'show_custom_meta_box', 
'post', 
'normal', 
'high'); 
}
add_action('add_meta_boxes', 'add_custom_meta_box');
// Field Array
$prefix = '';
$custom_meta_fields = array( 
array(  
'label'=> 'پست ویژه',  
'desc'  => 'نمایش به عنوان پست ویژه در هدر سایت',  
'id'=> $prefix.'special',  
'type'  => 'checkbox'  
), 
array('label'=> '',),
array('label'=> '',),
array('label'=> '',),
array('label'=> '<p style="color:#D20001;font:bold 11px tahoma;">دانلود آهنگ</p>',),
array('label'=> '',),
array('label'=> '',),
array('label'=> '',),
array(
'label'=> 'لینک آهنگ کیفیت 320',
'desc'=> '',
'id'=> $prefix.'linkdl320',
'type'=> 'text'
),
array(
'label'=> 'لینک آهنگ کیفیت 128',
'desc'=> '',
'id'=> $prefix.'linkdl128',
'type'=> 'text'
),
array(
'label'=> 'لینک پخش آنلاین',
'desc'=> '',
'id'=> $prefix.'online',
'type'=> 'text'
),
array('label'=> '',),
array('label'=> '<p style="color:#47a1dd;font:bold 11px tahoma;">دانلود آلبوم</p>',),
array('label'=> '',),
array('label'=> '',),
array('label'=> '',),
array(
'label'=> 'لینک دانلود آلبوم 320 (یکجا)',
'desc'=> '',
'id'=> $prefix.'album320',
'type'=> 'text'
),
array(
'label'=> 'لینک دانلود آلبوم 128 (یکجا)',
'desc'=> '',
'id'=> $prefix.'album128',
'type'=> 'text'
),
array(
'label'=> 'لینک دانلود آلبوم 320 (تکی)',
'desc'=> '',
'id'=> $prefix.'album_320',
'type'=> 'text'
),
array(
'label'=> 'لینک دانلود آلبوم 128 (تکی)',
'desc'=> '',
'id'=> $prefix.'album_128',
'type'=> 'text'
),
array('label'=> '<p style="color:#0aae46;font:bold 11px tahoma;">دانلود موزیک ویدیو</p>',),
array('label'=> '',),
array('label'=> '',),
array('label'=> '',),
array(
'label'=> 'لینک موزیک ویدیو 1080p',
'desc'=> '',
'id'=> $prefix.'video1080p',
'type'=> 'text'
),
array(
'label'=> 'لینک موزیک ویدیو 720p',
'desc'=> '',
'id'=> $prefix.'video720p',
'type'=> 'text'
),
array(
'label'=> 'لینک موزیک ویدیو 480p',
'desc'=> '',
'id'=> $prefix.'video480p',
'type'=> 'text'
),
);
function show_custom_meta_box() {
global $custom_meta_fields, $post; 
echo '<input type="hidden" name="custom_meta_box_nonce" value="'.wp_create_nonce(basename(__FILE__)).'" />';
echo '<div style="width:100%;display: inline-block;">';
foreach ($custom_meta_fields as $field) { 
$meta = get_post_meta($post->ID, $field['id'], true);
echo '<div style="width:25%;display:inline-block;padding:5px 0px;font:11px tahoma;"> 
<label for="'.$field['id'].'" style="width:90%;display:inline-block;padding:5px 0px;padding:5px 0px;">'.$field['label'].'</label> 
';
switch($field['type']) {
case 'text':
echo '<input type="text" name="'.$field['id'].'" id="'.$field['id'].'" value="'.$meta.'" style="width:90%;display:inline-block;font:11px tahoma;box-shadow:none;padding:6px;" placeholder="'.$field['label'].'"> 
<span class="description">'.$field['desc'].'</span>';
break;
// checkbox
case 'checkbox':
echo '<input type="checkbox" name="'.$field['id'].'" id="'.$field['id'].'" ',$meta ? ' checked="checked"' : '','/>
<label for="'.$field['id'].'">'.$field['desc'].'</label>';
break;
// textarea
case 'textarea':
echo '<textarea name="'.$field['id'].'" id="'.$field['id'].'" style="width:90%;font:11px tahoma;resize:none;box-shadow:none;">'.$meta.'</textarea>
<br /><span class="description">'.$field['desc'].'</span>';
break;
// select
case 'select':
echo '<select name="'.$field['id'].'" id="'.$field['id'].'" style="font:11px tahoma;">';
foreach ($field['options'] as $option) {
echo '<option', $meta == $option['value'] ? ' selected="selected"' : '', ' value="'.$option['value'].'">'.$option['label'].'</option>';
}
echo '</select><br /><span class="description">'.$field['desc'].'</span>';
break;
} 
echo '</div>';
}
echo '</div>'; 
}
function save_custom_meta($post_id) {
global $custom_meta_fields; 
if (!wp_verify_nonce($_POST['custom_meta_box_nonce'], basename(__FILE__)))
return $post_id;
if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
return $post_id;
if ('page' == $_POST['post_type']) {
if (!current_user_can('edit_page', $post_id))
return $post_id;
} elseif (!current_user_can('edit_post', $post_id)) {
return $post_id;
}
foreach ($custom_meta_fields as $field) {
$old = get_post_meta($post_id, $field['id'], true);
$new = $_POST[$field['id']];
if ($new && $new != $old) {
update_post_meta($post_id, $field['id'], $new);
} elseif ('' == $new && $old) {
delete_post_meta($post_id, $field['id'], $old);
}
}
}
add_action('save_post', 'save_custom_meta');

function people_init() {
    // create a new taxonomy

    $labels = array(
        'name'              => _x( 'دسته بندی خوانندگان', 'taxonomy general name' ),
        'singular_name'     => _x( 'دسته بندی خوانندگان', 'taxonomy singular name' ),
        'search_items'      => __( 'جستجو خواننده' ),
        'all_items'         => __( 'همه خوانندگان' ),
        'parent_item'       => __( 'Parent artist' ),
        'parent_item_colon' => __( 'Parent artist:' ),
        'edit_item'         => __( 'ویرایش خواننده' ),
        'update_item'       => __( 'Update Genre' ),
        'add_new_item'      => __( 'اضافه کردن خواننده جدید' ),
        'new_item_name'     => __( 'New Genre Name' ),
        'menu_name'         => __( 'خوانندگان' ),
    );

    register_taxonomy(
        'artists',
        'post',
        array(
            'hierarchical'      => true,
            'labels'            => $labels,
            'show_ui'           => true,
            'show_admin_column' => true,
            'query_var'         => true,
            'rewrite'           => array( 'slug' => 'genre' ),
            )
        );

}
add_action( 'init', 'people_init' );
add_action( 'set_comment_cookies', function( $comment, $user ) {
    setcookie( 'ta_comment_wait_approval', '1', 0, '/' );
}, 10, 2 );

add_action( 'init', function() {
    if( isset( $_COOKIE['ta_comment_wait_approval'] ) && $_COOKIE['ta_comment_wait_approval'] === '1' ) {
        setcookie( 'ta_comment_wait_approval', '0', 0, '/' );
        add_action( 'comment_form_before', function() {
            echo "<p id='wait_approval'><strong>نظر شما با موفقیت ارسال شد بعد از تایید مدیر نمایش داده خواهد شد.</strong></p>";
        });
    }
});

add_filter( 'comment_post_redirect', function( $location, $comment ) {
    $location = get_permalink( $comment->comment_post_ID ) . '#wait_approval';
    return $location;
}, 10, 2 );


function mytheme_enqueue_comment_reply() {
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) { 
        wp_enqueue_script( 'comment-reply' ); 
    }
}
add_action( 'wp_enqueue_scripts', 'mytheme_enqueue_comment_reply' );

function custom_comments( $comment, $args, $depth ) {
$GLOBALS['comment'] = $comment ;
?>
<li id="comment-<?php comment_ID(); ?>">
<div  <?php comment_class('comment-wrap'); ?> >

<div class="author-comment">
<div class="comment-meta commentmetadata">
<?php printf('%s', sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?> 
</div>
</div>
<div class="comment-content">
<?php if ( $comment->comment_approved == '0' ) : ?>
<em class="comment-awaiting-moderation"><?php _e( 'نظر شما منتظر تایید مدیر است','persian' ); ?></em>
<br />
<?php endif; ?>
<?php comment_text(); ?>
</div></div><!-- #comment-##  -->
<?php
}
function custom_pings($comment, $args, $depth) {
$GLOBALS['comment'] = $comment; ?>
<li class="comment pingback">
<p><?php _e( 'پینگ بک :','persian' ); ?> <?php comment_author_link(); ?><?php edit_comment_link('( ویرایش )', ' ' ); ?></p>
<?php	
}
?>